## org.apache.http.impl.nio.reactor
Class SessionRequestHandle

    java.lang.Object
      org.apache.http.impl.nio.reactor.SessionRequestHandle

    @Immutable
    public class SessionRequestHandle

extends Object

Session request handle class used by I/O reactor implementations to keep a reference to a `SessionRequest` along with the time the request was made.

Since:
  4.0

Constructor Summary
`SessionRequestHandle(SessionRequestImpl sessionRequest)`

Method Summary
`long` `getRequestTime()`
`SessionRequestImpl` `getSessionRequest()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SessionRequestHandle

    public SessionRequestHandle(SessionRequestImpl sessionRequest)

Method Detail

### getSessionRequest

    public SessionRequestImpl getSessionRequest()

### getRequestTime

    public long getRequestTime()

Copyright © 2005-2013 The Apache Software Foundation. All Rights Reserved.